#!/usr/bin/env python

"""
Python setup for seismic SEGY library

http://www.python.org/doc/current/dist/dist.html

./setup.py sdist
"""

VERSION = '0.4'
NAME = 'segy-py'

if __name__ == "__main__":
    from distutils.core import setup

    setup (# Distribution meta-data
        name = NAME,
        version = VERSION,
        description = "Seismic SEGY reading library",
        author = 'Kurt Schwehr',
        author_email = 'kurt@cs.stanford.edu',
        maintainer = 'Kurt Schwehr',
        maintainer_email = 'goatbar@users.sourceforge.net',
        url = 'http://schwehr.org/software/segy/',
        download_url = 'http://schwehr.org/software/segy/'+NAME+'-'+VERSION+'.tar.gz',
        license = 'GNU GPL',
        long_description = """\
        Segy-py provides a python infrastructure for reading (and someday
        writing) segy seismic data files.
        FIX: write more!
        """,
        packages=['']
        )

